#pragma once

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

#include "../drivers/ata.h"

struct MbrPartition {
	uint8_t n;
	uint8_t type;
	bool bootable;
	size_t start_sector;
	size_t sector_count;
};

bool mbr_get_partition(struct MbrPartition *dest, struct AtaDevice device, int n);
